<?php

namespace DefStudio\GameEngine\Listeners\Teams;

use DefStudio\GameEngine\Events\Teams\UserSubscribedToTeam;

class UserSubscribedToTeamListener
{
    public function handle(UserSubscribedToTeam $event): void
    {
        $event->team->unsetRelation('masters');
        $event->team->unsetRelation('players');
    }
}
